# Импорт выписок из Электронного бюджета в БГУ

Настройка импорта

## Экспорт файла выписки из ЭБ

В системе "Электронный бюджет" (ЭБ) выписки находятся здесь:
в главном меню выбрать пункт "Подсистема управления расходами в части развития АУ БУ" и войти в режим "Компонент ведения операций со средствами АУ/БУ – Отчеты – Регламентированная отчетность о состоянии ЛС АУ – Выписка и приложение к выписке из лицевого счета бюджетного (автономного) учреждения – Все документы»". Откроется форма журнала выписок.

Нужную выписку необходимо экспортировать в формате XML. Для этого в списке выписок встаем на нужную и нажимаем кнопку интерфейса "Экспорт", выбираем "Формат XML". Получаем ZIP файл, который распаковываем в каталог, указанный в настройках обмена в поле "Путь загрузки". В нашем случае - это K:\СУФД\Загрузка.

## Добавление файла обмена
Для импорта выписок из ЭБ необходимо добавить в БГУ файл OFKXMLXXX.defx с настройками обмена. Существующий файл OFKAlbomXXX.defx не содержит правил импорта выписок. Здесь в обозначении файла XXX означает номер версии альбома. В нашем случае - это 333.

![Image](img/Настройка_поставок_форматов_обмена.png)

## Добавление файла обмена
Теперь при создании нового задания на импорт выписок нужно указать наш новый вид обмена "Обмен с ОФК (УФК) в Электронном бюджете" и ниже все соответствующие ему поля:

![Image](img/Настройка_задания_импорта.png)

Поле "Настройка обмена" выдаст пустой справочник. Нужно добавить в него следующую настройку:

![Image](img/Настройка_обмена.png)
